# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LIBFSLVPUWRAP) += libfslvpuwrap

#
# Paths and names
#
LIBFSLVPUWRAP_VERSION	:= 1.0.17
LIBFSLVPUWRAP_MD5	:= c4dd866bc7e96a9f00c24beddd3764d8
LIBFSLVPUWRAP		:= libfslvpuwrap-$(LIBFSLVPUWRAP_VERSION)
LIBFSLVPUWRAP_SUFFIX	:= tar.gz
LIBFSLVPUWRAP_URL	:= /$(LIBFSLVPUWRAP).$(LIBFSLVPUWRAP_SUFFIX)
LIBFSLVPUWRAP_SOURCE	:= $(SRCDIR)/$(LIBFSLVPUWRAP).$(LIBFSLVPUWRAP_SUFFIX)
LIBFSLVPUWRAP_DIR	:= $(BUILDDIR)/$(LIBFSLVPUWRAP)
LIBFSLVPUWRAP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(LIBFSLVPUWRAP_SOURCE):
#	@$(call targetinfo)
#	@$(call get, LIBFSLVPUWRAP)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#LIBFSLVPUWRAP_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#LIBFSLVPUWRAP_CONF_TOOL	:= autoconf
#LIBFSLVPUWRAP_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/libfslvpuwrap.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(LIBFSLVPUWRAP_DIR)/config.cache)
#	cd $(LIBFSLVPUWRAP_DIR) && \
#		$(LIBFSLVPUWRAP_PATH) $(LIBFSLVPUWRAP_ENV) \
#		./configure $(LIBFSLVPUWRAP_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/libfslvpuwrap.targetinstall:
	@$(call targetinfo)

	@$(call install_init, libfslvpuwrap)
	@$(call install_fixup, libfslvpuwrap,PRIORITY,optional)
	@$(call install_fixup, libfslvpuwrap,SECTION,base)
	@$(call install_fixup, libfslvpuwrap,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, libfslvpuwrap,DESCRIPTION,missing)

	@$(call install_copy, libfslvpuwrap, 0, 0, 0755, $(LIBFSLVPUWRAP_DIR)/.libs/libfslvpuwrap.so.3.0.0, \
							  /usr/lib/libfslvpuwrap.so.3.0.0)
	@$(call install_link, libfslvpuwrap, libfslvpuwrap.so.3.0.0, /usr/lib/libfslvpuwrap.so.3)
	@$(call install_link, libfslvpuwrap, libfslvpuwrap.so.3.0.0, /usr/lib/libfslvpuwrap.so)

	@$(call install_finish, libfslvpuwrap)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/libfslvpuwrap.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, LIBFSLVPUWRAP)

# vim: syntax=make
