# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GPU_FSL_TEST) += gpu-fsl-test

#
# Paths and names
#
GPU_FSL_TEST_VERSION	:= 12.09.01
GPU_FSL_TEST_MD5	:= 340f3027c0cec7e705513d1ec515d4e7
GPU_FSL_TEST		:= gpu-fsl-test-$(GPU_FSL_TEST_VERSION)
GPU_FSL_TEST_SUFFIX	:= tar.gz
GPU_FSL_TEST_URL	:= unknown
GPU_FSL_TEST_SOURCE	:= $(SRCDIR)/$(GPU_FSL_TEST).$(GPU_FSL_TEST_SUFFIX)
GPU_FSL_TEST_DIR	:= $(BUILDDIR)/$(GPU_FSL_TEST)
GPU_FSL_TEST_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(GPU_FSL_TEST_SOURCE):
#	@$(call targetinfo)
#	@$(call get, GPU_FSL_TEST)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#GPU_FSL_TEST_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#GPU_FSL_TEST_CONF_TOOL	:= autoconf
#GPU_FSL_TEST_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/gpu-fsl-test.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(GPU_FSL_TEST_DIR)/config.cache)
#	cd $(GPU_FSL_TEST_DIR) && \
#		$(GPU_FSL_TEST_PATH) $(GPU_FSL_TEST_ENV) \
#		./configure $(GPU_FSL_TEST_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu-fsl-test.compile:
	@$(call targetinfo)
#	@$(call world/compile, GPU_FSL_TEST)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu-fsl-test.install:
	@$(call targetinfo)
#	@$(call world/install, GPU_FSL_TEST)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu-fsl-test.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gpu-fsl-test)
	@$(call install_fixup, gpu-fsl-test,PRIORITY,optional)
	@$(call install_fixup, gpu-fsl-test,SECTION,base)
	@$(call install_fixup, gpu-fsl-test,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, gpu-fsl-test,DESCRIPTION,missing)

	@$(call install_tree, gpu-fsl-test, 0, 0, $(GPU_FSL_TEST_DIR), /)

	@$(call install_finish, gpu-fsl-test)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/gpu-fsl-test.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, GPU_FSL_TEST)

# vim: syntax=make
